<?php




namespace ln\listens;


use app\common\repositories\store\broadcast\BroadcastGoodsRepository;
use app\common\repositories\store\broadcast\BroadcastRoomRepository;
use ln\interfaces\ListenerInterface;
use ln\services\TimerService;
use Swoole\Timer;
use think\facade\Cache;
use think\facade\Log;

class SyncBroadcastStatusListen extends TimerService implements ListenerInterface
{

    public function handle($event): void
    {
        $this->tick(1000 * 60 * 5, function () {
            $broadcastGoodsRepository = app()->make(BroadcastGoodsRepository::class);
            try {
                $broadcastGoodsRepository->syncGoodStatus();
            } catch (\Exception $e) {
                Log::error('同步直播商品:' . $e->getMessage());
            }
        });

        $this->tick(1000 * 60 * 5, function () {
            if (Cache::has('_sys_break_b_room')) {
                return;
            }
            $broadcastRoomRepository = app()->make(BroadcastRoomRepository::class);
            try {
                $broadcastRoomRepository->syncRoomStatus();
            } catch (\Exception $e) {
                if ($e instanceof \EasyWeChat\Core\Exceptions\HttpException && $e->getCode() == '48001') {
                    Cache::set('_sys_break_b_room', 1, 3600);
                }
                Log::error('同步直播间:' . $e->getMessage());
            }
        });
    }
}